using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("辨识人员")]
    public class T_SK_IDENTIFY_EVALUATION_PLAN_DETAIL_USER : MesEntityBase
    {
        /// <summary>
        /// 辨识评估计划细表
        /// </summary>
        [Description("辨识评估计划细表")]
        [DataFieldForeignKey("Nav_PlanDetail", "Nav_DetailUsers")]
        public Guid IDENTIFY_EVALUATION_PLAN_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：辨识评估计划细表
        /// </summary>
        [Description("导航：辨识评估计划细表")]
        public virtual T_SK_IDENTIFY_EVALUATION_PLAN_DETAIL Nav_PlanDetail { get; set; }

        [Description("人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("导航属性：人员")]
        public virtual T_FM_USER Nav_User { get; set; }
    }
}
